create or replace TRIGGER PAXDATA.KORA_AUD_TRG AFTER
  UPDATE ON PAXDATA.KONTRAHENT_RACHUNEK FOR EACH ROW 
BEGIN 
  PKG_AUDIT_COLS.SprawdzWartosc(:NEW.ID, 'KONTRAHENT_RACHUNEK', 'Kontekst', :NEW.KONT_ID, :OLD.KONT_ID, null, :NEW.KONT_ID);
  PKG_AUDIT_COLS.SprawdzWartosc(:NEW.ID, 'KONTRAHENT_RACHUNEK', 'Nr rachunku', :NEW.NAZWA_BANKU, :OLD.NAZWA_BANKU, null, :NEW.KONT_ID);
  PKG_AUDIT_COLS.SprawdzWartosc(:NEW.ID, 'KONTRAHENT_RACHUNEK', 'Waluta', :NEW.SLWA_ID, :OLD.SLWA_ID, null, :NEW.KONT_ID);
  PKG_AUDIT_COLS.SprawdzWartosc(:NEW.ID, 'KONTRAHENT_RACHUNEK', 'Opis', :NEW.OPIS, :OLD.OPIS, null, :NEW.KONT_ID);
  PKG_AUDIT_COLS.SprawdzWartosc(:NEW.ID, 'KONTRAHENT_RACHUNEK', 'Nr rachunku', :NEW.NR_RACHUNKU, :OLD.NR_RACHUNKU, null, :NEW.KONT_ID);
  PKG_AUDIT_COLS.SprawdzWartosc(:NEW.ID, 'KONTRAHENT_RACHUNEK', 'Czy jest na białej liście', :NEW.CZY_JEST_NA_BIALEJ_LISCIE, :OLD.CZY_JEST_NA_BIALEJ_LISCIE, null, :NEW.KONT_ID);
  PKG_AUDIT_COLS.SprawdzWartosc(:NEW.ID, 'KONTRAHENT_RACHUNEK', 'Data sprawdzenia białej listy', :NEW.DATA_SPRAWDZENIA_BIALEJ_LISTY, :OLD.DATA_SPRAWDZENIA_BIALEJ_LISTY, null, :NEW.KONT_ID);
  PKG_AUDIT_COLS.SprawdzWartosc(:NEW.ID, 'KONTRAHENT_RACHUNEK', 'SWIFT', :NEW.SWIFT, :OLD.SWIFT, null, :NEW.KONT_ID);
END;
/
